OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeRectangularTrimmedSurface Class Reference

This class implements the mapping between class
RectangularTrimmedSurface from Geom and the class
RectangularTrimmedSurface from
StepGeom which describes a
rectangular_trimmed_surface from ISO-IS 10303-42
.

`#include <GeomToStep_MakeRectangularTrimmedSurface.hxx>`

Inheritance diagram for GeomToStep_MakeRectangularTrimmedSurface:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeRectangularTrimmedSurface (const Handle(Geom_RectangularTrimmedSurface)&RTSurf)
Standard_EXPORT const Handle_StepGeom_RectangularTrimmedSurface & | Value () const
## Private Attributes
Handle_StepGeom_RectangularTrimmedSurface | theRectangularTrimmedSurface

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeRectangularTrimmedSurface::GeomToStep_MakeRectangularTrimmedSurface | ( | const Handle(Geom_RectangularTrimmedSurface)& | RTSurf | ) |

## Member Function Documentation

void GeomToStep_MakeRectangularTrimmedSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeRectangularTrimmedSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeRectangularTrimmedSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_RectangularTrimmedSurface& GeomToStep_MakeRectangularTrimmedSurface::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_RectangularTrimmedSurface GeomToStep_MakeRectangularTrimmedSurface::theRectangularTrimmedSurface`[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeRectangularTrimmedSurface.hxx